
Django Site Utils - Feature #2595

Site Cleanup Management Command

2012-12-12 23:11 - Chris Church

Status: Assigned Start date: 2012-12-12

Priority: Normal Due date:  

Assignee: Chris Church % Done: 80%

Category:  Estimated time: 0.00 hour

Target version: 0.1   

Description

Implement site_cleanup command based on similar commands in other projects.  This command should at least be able to clean up

stale/unused database tables (when an app is removed) as well as stale content types.  Look at providing a signal to allow custom

hooks.

Associated revisions

Revision 3 - 2013-01-02 22:24 - Chris Church

re #2595 re #2597 Updates to management commands.

Revision 7 - 2013-01-08 07:14 - Chris Church

re #2595 Updates to site_cleanup command and tests.

History

#1 - 2013-01-08 07:11 - Chris Church

- Status changed from New to Assigned

- Assignee set to Chris Church

- % Done changed from 0 to 80

Implemented with test cases. Needs documentation.
